Bug 691570

Summary: Backlight brightness is not remembered when display dims/wakes
Product: [Fedora] Fedora Reporter: dlreid
Component: gnome-power-managerAssignee: Richard Hughes <rhughes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 14CC: collura, daniel, dlreid, kudjo, marcandre.lureau, rhughes, ricardo.arguello
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 11:17:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description dlreid 2011-03-28 16:48:31 EDT
Description of problem:
Gnome-power-manager includes several power-saving backlight features.  Specifically, there are options to (1) put the display to sleep after a set period of time, (2) reduce backlight brightness on battery, and (3) dim the display when idle.  When option (1) and/or (3) is enabled, it is the expected behavior that after the g-p-m action is triggered (i.e. the display is set to sleep or the display is dimmed when idle), any action by the user will "wake" the display and return its brightness to its previous level.  That previous level may be g-p-m's default level, e.g. 100% on a/c power or 60% on battery, but if the user had changed the brightness level manually, e.g. by using a laptop's brightness function keys, "waking" the display will return to whatever level it was previously set to by the user.

At least that is the expected behavior.  Instead, I am finding that g-p-m always returns a woken display to the default level, not to the level previously set by the user.  It seems that user changes to the backlight brightness are not remembered by g-p-m.  

Another side-effect of this bug is that if the user dims the display to a very low level, when g-p-m "dims" the display when idle, that "dim" level may be brighter than the level just set by the user.

I've marked the severity as low because this bug does not prevent the system from being usable.  But it does make the backlight behavior extremely frustrating, and the only solution is to disable the above-mentioned power saving options (1) and (3).


Version-Release number of selected component (if applicable):
gnome-power-manager-2.32.0-3.fc14 (i686)
Linux kernel 2.6.38.1-0.fc14.i686

How reproducible:
Every time.

Steps to Reproduce:
1. Go to System > Preferences > Power Management and on battery power select the display options "Put display to sleep when inactive for: X minutes" and/or "Dim display when idle"
2. On battery power, manually change the backlight brightness from the default value using the laptop FN keys, then wait with the computer idle until the display is dimmed or put to sleep.
3. Press a key to wake the display.  
  
Actual results:
The backlight brightness returns to the default value, not the previous (user-set) value.

Expected results:
The backlight brightness should return to the previous (user-set) value, not the default value.

Additional info:
This is on an Asus Eee PC 1005PE with working backlight FN keys.
Comment 1 Richard Hughes 2011-11-15 08:40:22 EST
Does this still happen in F15 or F16? Thanks.
Comment 2 Daniel F. Twum 2011-11-17 22:47:07 EST
yes, this is happening on F16 on my Dell laptop. Was working fine from F11-F15.
This is a nuisance not just an inconvenience. Please fix.

Thank you.
Comment 3 Daniel Mircea 2012-03-15 17:48:36 EDT
Hi,

I'm having the same issue (on a sony vaio sa3). I hope this will get fixed.

Thanks,
Daniel
Comment 4 Fedora End Of Life 2012-08-16 11:17:22 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping